Two Wrongs

(don't make a right)

The Touchpad On the Asus TP300LA

by ~kqr

Since people have been reaching this blog from Google, I might as well say this once and for all instead of in individual emails. It seems as though the touchpad is supposed to be fully supported in Linux kernel 3.18. Debian Jessie, which I'm using, only runs 3.16 as of now.

I could compile 3.18 myself, but I don't feel like I have the time to get into that right now. #debian promises that kernel version 4.0 will be backported Soon™, at which point the touchpad should start working perfectly even in Debian Jessie.

If you are running anything more modern, like, I don't know, Arch Linux, it's probably already working for you.


Update! The 4.0 kernel has been backported to Jessie, and the touchpad indeed works as it is supposed to. Rejoice!

If you enjoyed this article, you might like others tagged with